Bug 195271 (IPv6Blocker)

Summary: Tracker bug for IPv6 support
Product: [Fedora] Fedora Reporter: David Woodhouse <dwmw2>
Component: distributionAssignee: RHEL Product and Program Management <pm-rhel>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: collura, cra, dave, dmalcolm, gajownik, jrowens.fedora, nmavrogi, psimerda, redhat-bugzilla, tore, tsmetana
Target Milestone: ---Keywords: FutureFeature, Reopened, Tracking
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-05-16 07:25:38 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 621174, 130580, 164753, 174503, 190165, 195265, 195273, 195274, 195651, 195674, 195900, 196878, 196879, 196880, 196884, 196935, 197105, 197509, 198341, 198345, 198346, 198347, 198351, 198352, 198353, 198355, 198356, 198357, 198358, 198359, 198360, 198361, 198362, 198363, 198364, 198365, 198366, 198367, 198368, 198369, 198370, 198371, 198372, 198373, 198374, 198375, 198376, 198377, 198378, 198379, 198380, 198381, 198382, 198383, 198384, 198385, 198386, 198387, 198388, 198389, 198390, 198391, 198392, 198393, 198394, 198395, 198396, 198397, 198398, 198399, 198400, 198402, 198403, 198404, 198405, 198406, 198407, 198408, 198409, 198410, 198411, 198412, 198413, 198414, 198415, 198416, 198417, 198418, 198419, 198420, 198421, 198422, 198423, 198433, 198434, 198435, 198436, 198437, 198438, 198439, 198440, 198441, 198442, 198443, 198444, 198445, 198446, 198447, 198448, 198449, 198450, 198451, 198452, 198453, 198454, 198455, 198456, 198458, 198459, 198461, 198462, 198463, 198464, 198465, 198466, 198467, 198469, 198470, 198471, 198472, 198473, 198737, 199145, 199404, 199413, 199552, 200501, 200503, 200504, 200505, 200506, 201677, 203740, 209645, 210617, 228106, 230949, 234153, 330301, 425994, 433290, 461525, 469507, 503082, 516179, 523288, 530669, 530670, 532972, 538499, 539611, 549217, 607064, 611213, 798697, 1014422, 1074245, 1076817, 1076822    
Bug Blocks: 883152, 181490    

Description David Woodhouse 2006-06-14 13:12:26 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Daniel Riek 2006-06-14 13:35:17 EDT

*** This bug has been marked as a duplicate of 181490 ***
Comment 2 David Woodhouse 2006-06-15 14:27:08 EDT
Reopening for Fedora
Comment 3 David Woodhouse 2006-07-11 07:05:52 EDT
For those who have just had bugs filed against their packages without much
explanation and who are now slightly confused -- we should be making sure that
all packages are properly protocol-agnostic, and work as well with IPv6 as they
do with IPv4.

For further information on how to achieve this, please see 
http://people.redhat.com/drepper/userapi-ipv6.html and
http://www.ipv6style.jp/en/apps/20030829/index.shtml
Comment 4 Jan Pazdziora 2006-07-12 01:47:41 EDT
Also, http://www.kame.net/newsletter/19980604/ and
http://gsyc.escet.urjc.es/~eva/IPv6-web/ipv6.html have nice code examples,
comparing the original IPv4-only, IPv6-only, and AF-independent approaches.
Comment 6 Jon Stanley 2008-03-27 21:45:22 EDT
Adding Tracking keyword
Comment 8 Tore Anderson 2009-11-04 09:51:44 EST
Bug #532972 should be added as a dependency, not sure how to do that myself.

Tore
Comment 9 Tore Anderson 2009-11-20 12:42:27 EST
Another string of bugs and reports of missing IPv6 support in applications that keeps me from running a IPv6-only network, should probably be added as dependencies as well:

#539611
#538499
#530670
#530669
#523288

Tore, who's hoping that F13 will be the first truly IPv6-ready Linux distro...
Comment 10 Charles R. Anderson 2009-11-20 15:46:10 EST
Tore, have you tried putting this bug number into the bugs you opened under "Blocks: "?

Blocks: 195271
Comment 11 Tore Anderson 2009-11-21 05:09:29 EST
Charles, no - didn't try that.  My Bugzilla-fu is quite limited...  :-)  But it certainly does the trick just fine, thanks for the tip!

Tore
Comment 12 Tore Anderson 2009-11-21 05:14:34 EST
I wasn't able to do it for bug #523288 (probably because I didn't submit it), but the four others should be fine now.

Tore
Comment 13 Pavel Šimerda (pavlix) 2012-12-11 08:11:52 EST
Hi, I didn't know about this tracker and started a new one:

https://bugzilla.redhat.com/show_bug.cgi?id=883152

My tracker bug is about both IPv4 and IPv6, not focused only on IPv6, as IPv4 or even node-local networking problems were created during the quest for IPv6 support.

The starting point was a bunch of bug reports (not only in this bugzilla and not only on Fedora) that was related to the usage of getaddrinfo() which is used improperly in a lot of software, and a problem with AI_ADDRCONFIG in getaddrinfo() whose implementation is broken in glibc.

For more information, follow the links from a feature page I started:

https://fedoraproject.org/wiki/Features/DualstackNetworking

Please propose a solution to having two tracker bugs for very similar things. I think that the new one is much more readable and current and is related to the Fedora Feature. Therefore I ask if making the older bug duplicate of the newer bug would be good enough. It is also possible to just block the newer bug by the older one.